const TAG = 'database';

class Database {

    constructor() {
    }

    load(key) {
    }

    save(key, value) {
    }

    remove(key, value) {
    }

}


class WebDatabase extends Database {

    load(key) {
        let item = window.sessionStorage.getItem(key);
        if (item !== null) {
            return JSON.parse(item);
        } else {
            return null;
        }
    }

    save(key, value) {
        window.sessionStorage.setItem(key, JSON.stringify(value));
    }

    remove(key, value) {
        window.sessionStorage.removeItem(key);
    }
}

class MobileDatabase extends Database{

    load(key) {
        return this[key];
    }

    save(key, value) {
        this[key] = value;
    }

    remove(key, value) {
        delete this[key];
    }
}

export function createDatabase(platform) {
    if (platform === 'web') {
        return new WebDatabase();
    } else {
        return new MobileDatabase();
    }
}